export declare const protobufPackage = "backend.signer";
export interface SignDepositMessageRequest {
    nftAddress?: string;
    tokenId?: number;
    ownerAddress?: string;
}
export interface SignDepositMessageResponse {
    hash: number[];
    signature?: string;
    action?: string;
    price?: string;
    timestamp?: number;
}
export interface SignStakingMessageRequest {
    nftAddress?: string;
    tokenId?: number;
    ownerAddress?: string;
}
export interface SignStakingMessageResponse {
    hash: number[];
    signature?: string;
    action?: string;
    price?: string;
    timestamp?: number;
}
