import { GetSettingsResponse, GetSettingsRequest } from "./settings/settings";
import { SignDepositMessageResponse, SignStakingMessageResponse, SignDepositMessageRequest, SignStakingMessageRequest } from "./signer/signer";
export declare const protobufPackage = "backend";
export interface SettingsService {
    /** Fetch settings from Backend */
    GetSettings(request: GetSettingsRequest): Promise<GetSettingsResponse>;
}
export interface SignerService {
    /** Sign the deposit message */
    SignDepositMessage(request: SignDepositMessageRequest): Promise<SignDepositMessageResponse>;
    /** Sign the staking message */
    SignStakingMessage(request: SignStakingMessageRequest): Promise<SignStakingMessageResponse>;
}
